%define module hatchling

Name:           python-%{module}
Version:        1.6.0
Release:        %mkrel 1
Summary:        The build backend used by Hatch
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/hatchling
Source0:        %{module}-%{version}.tar.xz
# Man page in groff_man(7) format, hand-written for Fedora based on package
# metadata and --help output
Source1:        hatchling.1
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-editables
BuildRequires:  python3-packaging
BuildRequires:  python3-pathspec
BuildRequires:  python3-pluggy
BuildRequires:  python3-tomli

%description
This is the extensible, standards compliant build backend used by Hatch.

%package -n python3-%{module}
Summary:        %{summary}

%description -n python3-%{module}
This is the extensible, standards compliant build backend used by Hatch.

%prep
%setup -qn %{module}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}
install -t '%{buildroot}/%{_mandir}/man1' -D -p -m 0644 '%{SOURCE1}'


%files -n python3-%{module}
%doc README.md LICENSE.txt
%{_bindir}/%{module}
%{_mandir}/man1/hatchling.1*
%{python3_sitelib}/%{module}*

%changelog
* Fri Aug 19 2022 TerryN <terryn94 at gmail.com> 1.6.0-1pclos2022
- import for python 3.10
